# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapNodeOfDataMapOfIntegerOwner Class Reference

`#include <MeshVS_DataMapNodeOfDataMapOfIntegerOwner.hxx>`

## Public Member Functions

| MeshVS_DataMapNodeOfDataMapOfIntegerOwner (const Standard_Integer &K, const Handle(SelectMgr_EntityOwner)&I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Handle_SelectMgr_EntityOwner & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
Handle_SelectMgr_EntityOwner | myValue

## Constructor & Destructor Documentation

MeshVS_DataMapNodeOfDataMapOfIntegerOwner::MeshVS_DataMapNodeOfDataMapOfIntegerOwner | ( | const Standard_Integer & | K,
|  | const Handle(SelectMgr_EntityOwner)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MeshVS_DataMapNodeOfDataMapOfIntegerOwner::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& MeshVS_DataMapNodeOfDataMapOfIntegerOwner::Key | ( |  | ) | const

Handle_SelectMgr_EntityOwner& MeshVS_DataMapNodeOfDataMapOfIntegerOwner::Value | ( |  | ) | const

## Field Documentation

Standard_Integer MeshVS_DataMapNodeOfDataMapOfIntegerOwner::myKey `[private]`

Handle_SelectMgr_EntityOwner MeshVS_DataMapNodeOfDataMapOfIntegerOwner::myValue `[private]`

The documentation for this class was generated from the following file:

- MeshVS_DataMapNodeOfDataMapOfIntegerOwner.hxx